Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.recordgen.asm
Class RecordSpecBuilder

    java.lang.Object
      com.ibm.jzos.recordgen.asm.RecordSpecBuilder

    public class RecordSpecBuilder

extends java.lang.Object

A class that converts a AData file, output from the IBM High Level Assembler, into an abstract `RecordSpec` object model.

This class is used by `RecordClassGenerator` to generate Java source code from Assembler AData files.

See Also:
  `ADataRecord`

Constructor Summary
`RecordSpecBuilder()`

Method Summary
`java.lang.String` | `getSelectedSectionName()` Answer the name of the DSECT or CSECT that is to be scavenged.
`RecordSpec` | `process(java.lang.String zFileDSN)` Process an Assembler AData file whose ZFile name is given,
`RecordSpec` | `process(ZFile zFile)` Process an Assembler AData file.
`void` | `setDumpSourceRecords(boolean dumpSourceRecords)` Sets a debug flag which causes the AData source records to be dumped to STDERR
`void` | `setSelectedSectionName(java.lang.String selectedSectionName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordSpecBuilder

    public RecordSpecBuilder()

Method Detail

### process

    public RecordSpec process(java.lang.String zFileDSN)
                       throws java.io.IOException

  Process an Assembler AData file whose ZFile name is given,

  Parameters:
    `zFileDSN` - the name of the ZFile dataset
  Returns:
    RecordSpec
  Throws:
    `java.io.IOException`
  See Also:
    `ZFile`, `process(ZFile)`

### process

    public RecordSpec process(ZFile zFile)
                       throws java.io.IOException

  Process an Assembler AData file.

  Parameters:
    `zFile` - the ZFile dataset containing the AData records
  Returns:
    RecordSpec
  Throws:
    `java.io.IOException`

### getSelectedSectionName

    public java.lang.String getSelectedSectionName()

  Answer the name of the DSECT or CSECT that is to be scavenged.

  Returns:
    String the DSECT or CSECT name

### setSelectedSectionName

    public void setSelectedSectionName(java.lang.String selectedSectionName)

  See Also:
    `getSelectedSectionName()`

### setDumpSourceRecords

    public void setDumpSourceRecords(boolean dumpSourceRecords)

  Sets a debug flag which causes the AData source records to be dumped to STDERR

  Parameters:
    `dumpSourceRecords` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD